[Overview][Types][Classes][Procedures and functions][Index] | Reference for unit 'LazRegions' (#lcl)

# TLazRegion.AddRectangle

Adds the specified TRect instance to the Parts member.

## Declaration

Source position: lazregions.pas line 80

`public procedure TLazRegion.AddRectangle(`
`ARect: TRect`
`);`

## Arguments

`ARect` |  | TRect instance with the rectangular region added in the method.

## Description

AddRectangle is a procedure used to add a rectangular region defined by the TRect instance in ARect to the Parts member. AddRectangle creates a TLazRegionRect instance and assigns ARect to its Rect member. AddRectangle calls AddPart to store the TLazRegionRect instance in Parts.

## See also

TLazRegionRect |  | Implements a region defined by a TRect structure.
TLazRegion.AddPart |  | Adds the specified part as a subregion in the Parts member.
TLazRegion.Parts |  | List with the Rectangles, Polygons, and Ellipses that define the display area for the region.